Ticket #75 (closed bug: wontfix)

Opened 7 years ago

Last modified 3 years ago

Have the .desktop files installed correctly

Reported by: arnonym Assigned to: arnonym
Priority: minor Milestone: FFADO 2.x
Component: Version:
Keywords: Cc:
The device the bug applies to:

Description

When using DESTDIR (for creating packages) the xdg-stuff that provides the fancy icons in the menus has to be done by hand. Which is simply because the xdg-utils can't deal with DESTDIR.

Either we should ship our own hacked version of the xdg-utils or try to find another way. For example an own install-routine when using DESTDIR...

Change History

02/24/09 07:06:36 changed by rexbron

  • priority changed from major to minor.
  • version set to FFADO 2.0-rc1 (1.999.40).

The way I have got around this problem is to call xdg-desktop-menu and -icon in the postinst and prerm maintainer scripts. The main issue is that it can not be run on the build system but needs to be run at install time.

I think that is a much cleaner solution than shipping a modified xdg-tools.

09/22/09 14:59:13 changed by arnonym

  • version deleted.

03/28/12 03:48:20 changed by jwoithe

Does anyone have any idea how to fix this properly? SConscript currently includes code which simply warns about the problem.

We certainly shouldn't ship a hacked up version of xdg-tools. However, at the same time I don't know enough about scons or xdg-tools to propose a plan of attack. What say others?

05/04/12 05:14:10 changed by jwoithe

  • status changed from new to closed.
  • resolution set to wontfix.

Since no one has spoken up to defend this ticket I'll close it as wontfix. Current packagers (see for example comment 1) seem to be getting around the problem without too much hassle. Furthermore, I don't really see a clean solution beyond those which have been adopted by packagers already. If someone came up with a patch which resolved this in a clean manner I would certainly welcome it, but at this stage it doesn't seem to be so much of a problem that anyone can justify the time and energy required to write a fix.